package com.mortals.xhx.module.perform.model;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.mortals.framework.annotation.Excel;
import com.mortals.framework.model.BaseEntityLong;
import com.mortals.xhx.module.perform.model.vo.PerformPerposeStaffVo;
import lombok.Data;
/**
 * 员工考核目标详细信息实体对象
 *
 * @author zxfei
 * @date 2023-07-12
 */
@Data
public class PerformPerposeStaffEntity extends PerformPerposeStaffVo {
    private static final long serialVersionUID = 1L;

    /**
     * 考核目标id
     */
    private Long purposeConfId;
    /**
     * 员工id
     */
    private Long staffId;
    /**
     * 员工名称
     */
    private String staffName;
    /**
     * 工号
     */
    private String number;
    /**
     * 备注
     */
    private String remark;
    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null) return false;
        if (obj instanceof PerformPerposeStaffEntity) {
            PerformPerposeStaffEntity tmp = (PerformPerposeStaffEntity) obj;
            if (this.getId() == tmp.getId()) {
                return true;
            }
        }
        return false;
    }

    public void initAttrValue(){

        this.purposeConfId = -1L;

        this.staffId = -1L;

        this.staffName = "";

        this.number = "";

        this.remark = "";
    }
}